Bug 1474294 - [abrt] pag: fork(): client.py:65:fork:pag.client.PagureException: Couldn't get form to get csrf token <Response [404]>
[abrt] pag: fork(): client.py:65:fork:pag.client.PagureException: Couldn't ge...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: pag (Show other bugs)
26
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ralph Bean
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:b5d777e18337114ec4be0b8d62b...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-24 06:33 EDT by Miro Hrončok
Modified: 2018-05-29 08:02 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-05-29 08:02:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.48 KB, text/plain)
2017-07-24 06:33 EDT, Miro Hrončok
no flags Details
File: cgroup (289 bytes, text/plain)
2017-07-24 06:33 EDT, Miro Hrončok
no flags Details
File: cpuinfo (1.33 KB, text/plain)
2017-07-24 06:33 EDT, Miro Hrončok
no flags Details
File: environ (4.34 KB, text/plain)
2017-07-24 06:33 EDT, Miro Hrončok
no flags Details
File: mountinfo (3.40 KB, text/plain)
2017-07-24 06:33 EDT, Miro Hrončok
no flags Details
File: namespaces (102 bytes, text/plain)
2017-07-24 06:33 EDT, Miro Hrončok
no flags Details
File: open_fds (352 bytes, text/plain)
2017-07-24 06:33 EDT, Miro Hrončok
no flags Details

  None (edit)
Description Miro Hrončok 2017-07-24 06:33:01 EDT
Description of problem:
$ pag fork

Version-Release number of selected component:
pag-0.6-5.fc26

Additional info:
reporter:       libreport-2.9.1
cmdline:        /usr/bin/python3 /usr/bin/pag fork
crash_function: fork
exception_type: pag.client.PagureException
executable:     /usr/bin/pag
kernel:         4.11.9-300.fc26.x86_64
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
client.py:65:fork:pag.client.PagureException: Couldn't get form to get csrf token <Response [404]>

Traceback (most recent call last):
  File "/usr/bin/pag", line 11, in <module>
    load_entry_point('pag==0.6', 'console_scripts', 'pag')()
  File "/usr/lib/python3.6/site-packages/click/core.py", line 722, in __call__
    return self.main(*args, **kwargs)
  File "/usr/lib/python3.6/site-packages/click/core.py", line 697, in main
    rv = self.invoke(ctx)
  File "/usr/lib/python3.6/site-packages/click/core.py", line 1066, in invoke
    return _process_result(sub_ctx.command.invoke(sub_ctx))
  File "/usr/lib/python3.6/site-packages/click/core.py", line 895, in invoke
    return ctx.invoke(self.callback, **ctx.params)
  File "/usr/lib/python3.6/site-packages/click/core.py", line 535, in invoke
    return callback(*args, **kwargs)
  File "/usr/lib/python3.6/site-packages/pag/utils.py", line 43, in inner
    return func(*args, **kwargs)
  File "/usr/lib/python3.6/site-packages/pag/utils.py", line 115, in inner
    return func(config, *args, **kwargs)
  File "/usr/lib/python3.6/site-packages/pag/commands/fork.py", line 27, in fork
    url = client.fork(name)
  File "/usr/lib/python3.6/site-packages/pag/client.py", line 65, in fork
    "csrf token %r" % response)
pag.client.PagureException: Couldn't get form to get csrf token <Response [404]>

Local variables in innermost frame:
response: <Response [404]>
url: 'https://pagure.io/badges'
name: 'badges'
self: <pag.client.Pagure object at 0x7ff0390d4cc0>
Comment 1 Miro Hrončok 2017-07-24 06:33:07 EDT
Created attachment 1303562 [details]
File: backtrace
Comment 2 Miro Hrončok 2017-07-24 06:33:09 EDT
Created attachment 1303563 [details]
File: cgroup
Comment 3 Miro Hrončok 2017-07-24 06:33:10 EDT
Created attachment 1303564 [details]
File: cpuinfo
Comment 4 Miro Hrončok 2017-07-24 06:33:12 EDT
Created attachment 1303565 [details]
File: environ
Comment 5 Miro Hrončok 2017-07-24 06:33:13 EDT
Created attachment 1303566 [details]
File: mountinfo
Comment 6 Miro Hrončok 2017-07-24 06:33:15 EDT
Created attachment 1303567 [details]
File: namespaces
Comment 7 Miro Hrončok 2017-07-24 06:33:16 EDT
Created attachment 1303568 [details]
File: open_fds
Comment 8 Fedora End Of Life 2018-05-03 04:37:40 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2018-05-29 08:02:32 EDT
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.